System.ServiceModel 4.0.0.0 System.Object

An endpoint address uniquely identifies the endpoint for a service.

The endpoint address belongs to the service endpoint, which also contains the binding, contract and behaviors for the endpoint.

The contains a URI and address properties that include an identity, WSDL elements, and a collection of optional headers. The optional headers are used to provide additional, more detailed addressing information to identify or interact with the endpoint. For example, they can be used to indicate which instance of a service is to be used to process an incoming message from a particular user when multiple instances are available.

The endpoint address for a service can be specified either imperatively using code or declaratively through configuration. Defining endpoints in code is usually not practical because the bindings and addresses for a deployed service are typically different from those used while the service is being developed. It is more practical to define service endpoints using configuration .

does not implement the interface and so is not serializable. For an endpoint to be exposed as part of a service contract it must be serializable and it must also be compliant with the Web Service Addressing (WS-Addressing) protocol. Serializable endpoints that are compliant with version 1.0 and the August 2004 version of WS-Addressing are provided, respectively, by the and classes.

Provides a unique network address that a client uses to communicate with a service endpoint.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with a specified URI string.

  The URI that identifies the endpoint.
- Constructor
  4.0.0.0
  System.ParamArray
  To be added.
  To be added.

  Initializes a new instance of the class with a specified URI and headers.

  The that identifies the endpoint location.
- Constructor
  4.0.0.0
  System.ParamArray
  To be added.
  To be added.

  Initializes a new instance of the class with a specified URI, identity, and headers.

  The that identifies the endpoint location.
  The for the endpoint.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with a specified URI, identity, and header collection.

  The that identifies the endpoint location.
  The for the endpoint.
  The that contains address information used to interact with the endpoint.
- Constructor
  4.0.0.0

  The WS-Addressing specification allows for arbitrary extension elements to appear at the end of an Endpoint Reference (EPR) that can be obtained using an .

  Initializes a new instance of the class with a specified URI, identity, header collection, and metadata and extension readers.

  The that identifies the endpoint location.
  The for the endpoint.
  The that contains address information used to interact with the endpoint.
  The from which the endpoint metadata is obtained.
  The from which extensions are obtained.
- Property
  4.0.0.0
  System.Uri To be added.

  If the value of the URI used to initialize the constructor is the , then is set to true.

  is a version-neutral class and the property returns a value is a neutral representation. When you write this out or convert this to one version or the other, then it turns into the right value for that version.

  Due to the range of network technologies currently in widespread use (for example, NAT, DHCP, and firewalls), many deployments cannot assign a meaningful global URI to a given endpoint. To allow these anonymous endpoints to initiate message exchange patterns and receive replies, the Web Services Addressing specification defines a URI for use by endpoints that cannot have a stable, resolvable URI.

  Requests that use this address must provide some mechanism for delivering replies or faults (for example, returning the reply on the same transport connection). This mechanism can be a request/reply transport protocol (for example, HTTP GET or POST). This URI can be used as the destination for reply messages and should not be used as the destination in other circumstances.

  Gets a version-neutral representation of the anonymous URI.

- Method
  4.0.0.0
  System.Void ``

  The method sets the "To" of the message with the of the current . Remember that "ApplyTo" means here "apply this address to the 'To' header of the message".

  Assigns the URI and properties of the endpoint address to the values of the headers of a specified message.

  The whose header values are being assigned.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Returns a value that indicates whether a specified object is equivalent to the current endpoint address.

  true if the specified object is equivalent to the current address; otherwise, false.

  The to be compared to the current endpoint address.
- Method
  4.0.0.0
  System.Int32

  is suitable for use in hashing algorithms and with data structures such as a hash table.

  Provides a unique hash code for the current endpoint address.

  A unique hash code for the current endpoint address.

- Method
  4.0.0.0
  System.Xml.XmlDictionaryReader

  The reader provides access to the information that is not contained in the model of the endpoint reference defined by WS-Addressing.

  Gets the XML dictionary reader that provides access to the extensions.

  The that provides access to the extensions.

- Method
  4.0.0.0
  System.Xml.XmlDictionaryReader To be added.

  Gets the XML dictionary reader that provides access to the metadata for an endpoint.

  The that provides access to the metadata for an endpoint.

- Property
  4.0.0.0
  System.ServiceModel.Channels.AddressHeaderCollection To be added. To be added.

  Gets the collection of address headers for the endpoints that the builder can create.

- Property
  4.0.0.0
  System.ServiceModel.EndpointIdentity To be added.

  Provides an identity that enables the authentication of an endpoint by other endpoints that exchange messages with it.

  Gets the identity for the endpoint used to authenticate it.

- Property
  4.0.0.0
  System.Boolean To be added.

  Use this method to check for the when manually copying the URI from an to the URI of either a or a . This must be done because both and have special anonymous values. Users must use these values if the URI being copied is anonymous.

  Due to the range of network technologies currently in widespread use (for example, NAT, DHCP, and firewalls), many deployments cannot assign a meaningful global URI to a given endpoint. To allow these anonymous endpoints to initiate message exchange patterns and receive replies, the Web Services Addressing specification defines a URI for use by endpoints that cannot have a stable, resolvable URI.

  Requests that use this address must provide some mechanism for delivering replies or faults (for example, returning the reply on the same transport connection). This mechanism can be a request/reply transport protocol (for example, HTTP GET or POST). This URI can be used as the destination for reply messages and should not be used as the destination in other circumstances.

  Gets a value that indicates whether the endpoint is anonymous.

- Property
  4.0.0.0
  System.Boolean To be added.

  Use this method to check for the when manually copying the URI from an to the URI of either a or a . This must be done because both and have special none URI values. Users must use these values if the URI being copied is none.

  Gets a value that indicates whether the URI for the endpoint is the .

- Property
  4.0.0.0
  System.Uri To be added.

  If the value of the URI used to initialize the constructor is the , then is set to true.

  Gets a version-neutral URI used for the address of an endpoint to which a message must not be sent.

- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Returns a value that indicates whether specified endpoint addresses are not equivalent.

  true if the endpoint addresses are equivalent; otherwise, false.

  One of the objects being compared. One of the objects being compared.
- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Returns a value that indicates whether specified endpoint addresses are not equivalent.

  true if the endpoint addresses are not equivalent; otherwise, false.

  One of the objects being compared. One of the objects being compared.
- Method
  4.0.0.0
  System.ServiceModel.EndpointAddress `` To be added.

  Reads an endpoint address from a specified XML dictionary reader.

  The read from the XML dictionary reader.

  The from which the endpoint address is obtained.
- Method
  4.0.0.0
  System.ServiceModel.EndpointAddress `` `` To be added.

  Reads an endpoint address for a specified address version from a specified XML dictionary reader.

  The read from the XML dictionary reader.

  The of the current endpoint address. The from which the endpoint address is obtained.
- Method
  4.0.0.0
  System.ServiceModel.EndpointAddress `` `` To be added.

  Reads an endpoint address for a specified address version from a specified XML reader.

  The read from the XML reader.

  The of the current endpoint address. The from which the endpoint address is obtained.
- Method
  4.0.0.0
  System.ServiceModel.EndpointAddress `` `` `` To be added.

  Reads an endpoint address with a specified qualified name from a specified XML dictionary reader.

  The with the qualified name read from the XML dictionary reader.

  The from which the endpoint address is obtained. An that contains the local name for the XML node to contain the endpoint address. An that contains the namespace for the XML node to contain the endpoint address.
- Method
  4.0.0.0
  System.ServiceModel.EndpointAddress `` `` `` `` To be added.

  Reads an endpoint address for a specified address version with a specified qualified name from a specified XML dictionary reader.

  The with the qualified name read from the XML reader.

  The of the current endpoint address. The from which the endpoint address is obtained. Contains the local name for the XML node to contain the endpoint address. Contains the namespace for the XML node to contain the endpoint address.
- Method
  4.0.0.0
  System.ServiceModel.EndpointAddress `` `` `` `` To be added.

  Reads an endpoint address for a specified address version with a specified qualified name from a specified XML reader.

  The with the qualified name read from the XML reader.

  The of the current endpoint address. The from which the endpoint address is obtained. Contains the local name for the XML node to contain the endpoint address. Contains the namespace for the XML node to contain the endpoint address.
- Method
  4.0.0.0
  System.String To be added.

  Returns a canonical string representation of the URI that is contained in the endpoint address.

  The URI that identifies the endpoint.

- Property
  4.0.0.0
  System.Uri To be added.

  The URI identifies where a message is being sent. To set a URI for an endpoint address, use .

  Gets the URI for the endpoint.

- Method
  4.0.0.0
  System.Void `` `` To be added.

  Saves all the child nodes of the node to the XML dictionary writer specified.

  The of the current endpoint address. The to which the endpoint address is saved.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Saves all the child nodes of the node to the XML writer specified.

  The of the current endpoint address. The to which the endpoint address is saved.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Saves the current endpoint address of a specified version to a specified XML dictionary writer.

  The of the current endpoint address. The to which the endpoint address is saved.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Saves the current endpoint address of a specified version to a specified XML writer.

  The of the current endpoint address. The to which the endpoint address is saved.
- Method
  4.0.0.0
  System.Void `` `` `` `` To be added. To be added.

  Saves the current endpoint address of a specified version to an XML dictionary writer with a specified namespace and local name.

  The of the current endpoint address. The to which the endpoint address is saved. The that contains the namespace for the XML node to contain the endpoint address.
- Method
  4.0.0.0
  System.Void `` `` `` `` To be added. To be added.

  Saves the current endpoint address of a specified version to an XML writer with a specified namespace and local name.

  The of the current endpoint address. The to which the endpoint address is saved. The that contains the namespace for the XML node to contain the endpoint address.